Methods of payment
Allows you to view the list of payment methods used by payku.
https://app.payku.cl/ (Default server) · https://des.payku.cl/ (Sandbox server)Get list of payment methods on payku
Section titled “Get list of payment methods on payku”/api/paymentmethodsThis method allows you to obtain a list of payment methods on payku.
curl -X GET \https://BASE-URL/api/paymentmethods \-H 'Accept: application/json, text/plain, */*' \-H 'Content-Type: application/json' \-H 'Host: BASE-URL' \$client = new \GuzzleHttp\Client(); $body = $client->request('GET', 'https://BASE_URL/api/paymentmethods', [ ])->getBody();$response = json_decode($body);const request = async () => { const response = await fetch('https://BASE_URL/api/paymentmethods', { method: 'GET', headers: { 'Content-Type': 'application/json' }, }); const result = await response.json(); console.log(result)}
request();Responses
{ "status": "success", "payment_methods": [ { "currency": "PEN", "payment": 21, "name": "QR Interoperable", "description": "" } ]}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Status of the endpoint. The possible statuses that can be obtained are the following:
|
payment_methods |
array of objects | |
description |
string | Brief description of payment method. |
payment |
number | Code belonging to the payment method. |
name |
string | Name of payment method. |
currency |
string | Currency |
Request failed.
{ "status": "failed", "type": "Unprocessable Entity", "message_error": ""}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
message_error |
string | Error message |
Get list of payment methods by currency type
Section titled “Get list of payment methods by currency type”/api/paymentmethods?currency=penThis method allows you to get a list of payment methods in payku. To filter by currency, you have to add the query params currency with the currency value.
curl -X GET \https://BASE-URL/api/paymentmethods?currency=pen \-H 'Accept: application/json, text/plain, */*' \-H 'Content-Type: application/json' \-H 'Host: BASE-URL' \$client = new \GuzzleHttp\Client(); $body = $client->request('GET', 'https://BASE_URL/api/paymentmethods?currency=pen', [ ])->getBody();$response = json_decode($body);const request = async () => { const response = await fetch('https://BASE_URL/api/paymentmethods?currency=pen', { method: 'GET', headers: { 'Content-Type': 'application/json' }, }); const result = await response.json(); console.log(result)}request();Responses
{ "status": "success", "payment_methods": [ { "currency": "PEN", "payment": 21, "name": "QR Interoperable", "description": "" } ]}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Status of the endpoint. The possible statuses that can be obtained are the following:
|
payment_methods |
array of objects | |
description |
string | Brief description of payment method. |
payment |
number | Code belonging to the payment method. |
name |
string | Name of payment method. |
currency |
string | Currency |
Request failed.
{ "status": "failed", "type": "Unprocessable Entity", "message_error": ""}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
message_error |
string | Error message |